Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 20941 - Missing dependency in the colorgcc-1.3.2-r3 ebuild
Summary: Missing dependency in the colorgcc-1.3.2-r3 ebuild
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High minor (vote)
Assignee: Please assign to toolchain
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-13 11:02 UTC by Tony Vroon
Modified: 2007-02-28 11:29 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch adding the dependency to the ebuild (colorgcc-1.3.2-r3.ebuild.patch,320 bytes, patch)
2003-05-13 11:03 UTC, Tony Vroon
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Vroon gentoo-dev 2003-05-13 11:02:43 UTC
Colorgcc needs the CPAN module Term_ANSIScreen, but this is not listed as a
dependency. Emerging colorgcc and adding it's wrapper to the PATH will not have
any effect if Term_ANSIScreen happens to not be installed.

Reproducible: Always
Steps to Reproduce:
1. make sure Term_ANSIScreen is not emerged
2. emerge colorgcc

Actual Results:  
Term_ANSIScreen was not merged, while it was needed. colorgcc did not function.

Expected Results:  
Term_ANSIScreen should have been merged by the colorgcc ebuild.

The patch is included.
Comment 1 Tony Vroon gentoo-dev 2003-05-13 11:03:36 UTC
Created attachment 11915 [details, diff]
Patch adding the dependency to the ebuild
Comment 2 Martin Schlemmer (RETIRED) gentoo-dev 2003-05-13 17:49:45 UTC
Works here without.
Comment 3 Joshua Kinard gentoo-dev 2003-10-04 22:05:55 UTC
Tony: Do you know if this issue is still present with the newer colorgcc-1.3.2-r4
ebuild?
Comment 4 Wayne Davison 2003-10-06 08:19:19 UTC
Colorgcc doesn't use Term::ANSIScreen, it uses Term::ANSIColor, which is
a part of all the perl releases that are in portage. So, I don't see how
Term::ANSIScreen could be affecting anything.
Comment 5 Tony Vroon gentoo-dev 2003-10-06 09:15:03 UTC
You may close this as RESO INVA, as it was before.
I believe the bugzilla dbase work may have put it's status at NEW again.
Comment 6 Joshua Kinard gentoo-dev 2003-10-06 11:07:37 UTC
Silly Bugzilla glitches....